import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconNamespaces = (props: IconProps) => {
    return <Icon  id="IconNamespaces" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M12.3268 2.05489C12.1151 1.9817 11.885 1.9817 11.6733 2.05489L1.67329 5.51204C1.27167 5.65088 1.00166 6.02839 1.00004 6.45333C0.998413 6.87827 1.26553 7.25783 1.66608 7.39974L11.6661 10.9426C11.8821 11.0191 12.1179 11.0191 12.334 10.9426L22.334 7.39974C22.7345 7.25783 23.0016 6.87827 23 6.45333C22.9984 6.02839 22.7284 5.65088 22.3268 5.51204L12.3268 2.05489ZM12 8.9391L5.02714 6.46871L12 4.05807L18.9729 6.46871L12 8.9391Z" />
        <path d="M2.33038 9.55614C1.8091 9.37369 1.23862 9.64837 1.05617 10.1696C0.873723 10.6909 1.1484 11.2614 1.66968 11.4439L11.6697 14.9439C11.8836 15.0187 12.1165 15.0187 12.3304 14.9439L22.3304 11.4439C22.8517 11.2614 23.1263 10.6909 22.9439 10.1696C22.7614 9.64837 22.191 9.37369 21.6697 9.55614L12 12.9405L2.33038 9.55614Z" />
        <path d="M1.05617 14.1696C1.23862 13.6484 1.8091 13.3737 2.33038 13.5561L12 16.9405L21.6697 13.5561C22.191 13.3737 22.7614 13.6484 22.9439 14.1696C23.1263 14.6909 22.8517 15.2614 22.3304 15.4439L12.3304 18.9439C12.1165 19.0187 11.8836 19.0187 11.6697 18.9439L1.66968 15.4439C1.1484 15.2614 0.873723 14.6909 1.05617 14.1696Z" />
        <path d="M2.33038 17.5561C1.8091 17.3737 1.23862 17.6484 1.05617 18.1696C0.873723 18.6909 1.1484 19.2614 1.66968 19.4439L11.6697 22.9439C11.8836 23.0187 12.1165 23.0187 12.3304 22.9439L22.3304 19.4439C22.8517 19.2614 23.1263 18.6909 22.9439 18.1696C22.7614 17.6484 22.191 17.3737 21.6697 17.5561L12 20.9405L2.33038 17.5561Z" />
    </Icon>;
};

export default IconNamespaces;
